<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class MigrationOption
{
    private bool $dryRun;
    private bool $truncate;

    public function __construct(bool $dryRun, bool $truncate)
    {
        $this->dryRun = $dryRun;
        $this->truncate = $truncate;
    }

    public function isDryRun(): bool
    {
        return $this->dryRun;
    }

    public function isTruncate(): bool
    {
        return $this->truncate;
    }
}
